For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • GETGet loyalty program list
      • POSTCreate loyalty program
      • GETGet loyalty program Info
      • PUTUpdate loyalty program
      • PATCHPartially update loyalty program
      • DELDelete Loyalty Program
      • POSTPublish loyalty program
      • POSTCreate subscription
      • POSTCreate subscription member
      • DELDelete subscription member
      • DELDelete subscription
      • GETGet Subscription Data
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyProgram

Get loyalty program list

GET
https://api.brevo.com/v3/loyalty/config/programs
GET
/v3/loyalty/config/programs
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.program.getLpList({});
8}
9main();
1{
2 "items": [
3 {
4 "id": "string",
5 "name": "string",
6 "description": "string",
7 "meta": {},
8 "state": "inactive",
9 "subscriptionPoolId": "string",
10 "subscriptionGeneratorId": "string",
11 "pattern": "string",
12 "codeCount": 1,
13 "documentId": "string",
14 "birthdayAttribute": "string",
15 "createdAt": "2024-01-15T09:30:00Z",
16 "updatedAt": "2024-01-15T09:30:00Z"
17 }
18 ]
19}
Returns list of loyalty programs
Was this page helpful?
Previous

Create loyalty program

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitintegerOptional
Number of documents per page
offsetintegerOptional
Index of the first document in the page
sort_fieldenumOptional
Sort documents by field
Allowed values:
sortenumOptional
Sort order
Allowed values:

Response

Loyalty Program page
itemslist of objects
Loyalty Program list

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error